package com.jw.app.ldap.action;

import java.util.Map;

import com.gaowj.business.action.BasicAction;
import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.RequestUtils;

public class viewAction extends BasicAction{

	/**
	 * 
	 */
	private static final long serialVersionUID = 7061466891823011765L;
	public String ldapTab() throws BusinessException{
		return "ldapTab";
	}
	
	public String ldapDetail() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "ldapDetail";
	}
	
	public String ldapUnitDetail() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "ldapUnitDetail";
	}
}
